> ## Documentation Index
> Fetch the complete documentation index at: https://docs.x.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Members

> List Members 엔드포인트를 사용하면 List 멤버를 조회하고, List에 멤버를 추가하고 제거할 수 있습니다. List members를 다루는 X API v2 standard 티어 레퍼런스입니다.

export const Button = ({href, children}) => {
  return <div className="not-prose">
    <a href={href}>
      <button className="x-btn">
        <span>{children}</span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

List Members 엔드포인트를 사용하면 List 멤버를 조회하고, List에 멤버를 추가하고 제거할 수 있습니다. 또한 사용자가 어떤 List의 멤버인지도 확인할 수 있습니다.

## 개요

<CardGroup cols={2}>
  <Card title="멤버 조회" icon="https://mintcdn.com/x-preview/SxzTbJaLjs3MidH1/icons/xds/icon-people.svg?fit=max&auto=format&n=SxzTbJaLjs3MidH1&q=85&s=9d5f3f82edcd2a4070364193436e7980" width="24" height="24" data-path="icons/xds/icon-people.svg">
    List의 모든 멤버 가져오기
  </Card>

  <Card title="멤버 추가" icon="user-plus">
    List에 사용자 추가
  </Card>

  <Card title="멤버 제거" icon="user-minus">
    List에서 사용자 제거
  </Card>

  <Card title="멤버십" icon="https://mintcdn.com/x-preview/ygI6sSJPehlc0qNT/icons/xds/icon-bulleted-list.svg?fit=max&auto=format&n=ygI6sSJPehlc0qNT&q=85&s=b9bf8323233df59c682b0fec8e3f88d5" width="24" height="24" data-path="icons/xds/icon-bulleted-list.svg">
    사용자가 속한 List 확인
  </Card>
</CardGroup>

***

## 엔드포인트

### List members lookup

| Method | Endpoint                                                             | Description       |
| :----- | :------------------------------------------------------------------- | :---------------- |
| GET    | [`/2/lists/:id/members`](/x-api/lists/get-list-members)              | List의 멤버 가져오기     |
| GET    | [`/2/users/:id/list_memberships`](/x-api/users/get-list-memberships) | 사용자가 속한 List 가져오기 |

### Manage List members

| Method | Endpoint                                                           | Description |
| :----- | :----------------------------------------------------------------- | :---------- |
| POST   | [`/2/lists/:id/members`](/x-api/lists/add-list-member)             | 멤버 추가       |
| DELETE | [`/2/lists/:id/members/:user_id`](/x-api/lists/remove-list-member) | 멤버 제거       |

***

## 예시: List 멤버 가져오기

```bash theme={null}
curl "https://api.x.com/2/lists/1234567890/members?\
user.fields=username,verified" \
  -H "Authorization: Bearer $BEARER_TOKEN"
```

## 예시: 멤버 추가하기

```bash theme={null}
curl -X POST "https://api.x.com/2/lists/1234567890/members" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"user_id": "9876543210"}'
```

***

## 시작하기

<Note>
  **사전 요구사항**

  * 승인된 [developer account](https://developer.x.com/en/portal/petition/essential/basic-info)
  * Developer Console 내의 [Project와 App](/resources/fundamentals/developer-apps)
  * App의 [key와 token](/resources/fundamentals/authentication)
</Note>

<CardGroup cols={2}>
  <Card title="조회 퀵스타트" icon="https://mintcdn.com/x-preview/SxzTbJaLjs3MidH1/icons/xds/icon-people.svg?fit=max&auto=format&n=SxzTbJaLjs3MidH1&q=85&s=9d5f3f82edcd2a4070364193436e7980" href="/x-api/lists/list-members/quickstart/list-members-lookup" width="24" height="24" data-path="icons/xds/icon-people.svg">
    List의 멤버 가져오기
  </Card>

  <Card title="관리 퀵스타트" icon="user-plus" href="/x-api/lists/list-members/quickstart/manage-list-members">
    멤버 추가 및 제거
  </Card>

  <Card title="통합 가이드" icon="https://mintcdn.com/x-preview/Vn2KEkZaPF9LiPi3/icons/xds/icon-book.svg?fit=max&auto=format&n=Vn2KEkZaPF9LiPi3&q=85&s=22ac564792481d14ae36a941546039c8" href="/x-api/lists/list-members/integrate" width="24" height="24" data-path="icons/xds/icon-book.svg">
    핵심 개념 및 모범 사례
  </Card>

  <Card title="API 레퍼런스" icon="https://mintcdn.com/x-preview/ygI6sSJPehlc0qNT/icons/xds/icon-code.svg?fit=max&auto=format&n=ygI6sSJPehlc0qNT&q=85&s=488e23401b19225b89acc0136d242219" href="/x-api/lists/get-list-members" width="24" height="24" data-path="icons/xds/icon-code.svg">
    전체 엔드포인트 문서
  </Card>
</CardGroup>
